Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
Interface ResolvedDependency

    interface ResolvedDependency

author:
  Hans Dockter

Method Summary
`Set` | `getAllFiles(ResolvedDependency parent)`
`Set` | `getAllModuleFiles()` Returns the artifact files belonging to this ResolvedDependencie and recursively to its children.
`Set` | `getChildren()` Returns the transitive ResolvedDependency instances of this resolved dependency.
`java.lang.String` | `getConfiguration()` Returns the configuration under which this instance was resolved.
`Set` | `getFiles(ResolvedDependency parent)`
`Set` | `getModuleFiles()` Returns the artifact files belonging to this ResolvedDependencie.
`java.lang.String` | `getName()` Returns the name of the dependency.
`Set` | `getParentFiles(ResolvedDependency parent)`
`Set` | `getParents()` Returns the ResolvedDependency instances that have this instance as a transitive dependency.

Method Detail

### getAllFiles

    public Set getAllFiles(ResolvedDependency parent)

### getAllModuleFiles

    public Set getAllModuleFiles()

  Returns the artifact files belonging to this ResolvedDependencie and recursively to its children. Returns never null.

### getChildren

    public Set getChildren()

  Returns the transitive ResolvedDependency instances of this resolved dependency. Returns never null.

### getConfiguration

    public java.lang.String getConfiguration()

  Returns the configuration under which this instance was resolved.

### getFiles

    public Set getFiles(ResolvedDependency parent)

### getModuleFiles

    public Set getModuleFiles()

  Returns the artifact files belonging to this ResolvedDependencie. Returns never null. But there might be ResolvedDependencies which don't have artifact files and where an empty set is returned.

### getName

    public java.lang.String getName()

  Returns the name of the dependency. The name is differently constructed for different types of dependencies. For external dependencies the name consists of the group, name and version. For self resolving dependencies the name consists of the file paths belonging to this dependency.

### getParentFiles

    public Set getParentFiles(ResolvedDependency parent)

### getParents

    public Set getParents()

  Returns the ResolvedDependency instances that have this instance as a transitive dependency. Returns never null.

Groovy Documentation